%define po_package %{name}

Name:		mate-settings-daemon
Version:	1.4.0
Release:	4%{?dist}
Summary:	MATE Desktop settings daemon
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
BuildRequires:	clutter-gst-devel icon-naming-utils mate-common mate-conf-devel mate-corba-devel mate-desktop-devel dbus-glib-devel gtk2-devel libSM-devel libmatekbd-devel libmatenotify-devel libxklavier-devel nss-devel polkit-devel mate-polkit-devel
Requires(pre): mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf
Requires: mate-icon-theme

%description
MATE Desktop settings daemon

%package devel
Summary:	Development files for mate-settings-daemon
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-panel

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
%configure --disable-static --enable-polkit --enable-gstreamer --enable-profiling --with-x --with-nssdb --libexecdir=/usr/libexec --libdir=%{_libdir}
make %{?_smp_mflags} V=1

%pre
%mateconf_schema_prepare apps_mate_settings_daemon_housekeeping
%mateconf_schema_prepare apps_mate_settings_daemon_keybindings
%mateconf_schema_prepare apps_mate_settings_daemon_xrandr
%mateconf_schema_prepare desktop_mate_font_rendering
%mateconf_schema_prepare desktop_mate_keybindings
%mateconf_schema_prepare desktop_mate_peripherals_smartcard
%mateconf_schema_prepare desktop_mate_peripherals_touchpad
%mateconf_schema_prepare mate-settings-daemon


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
%mateconf_schema_upgrade apps_mate_settings_daemon_housekeeping
%mateconf_schema_upgrade apps_mate_settings_daemon_keybindings
%mateconf_schema_upgrade apps_mate_settings_daemon_xrandr
%mateconf_schema_upgrade desktop_mate_font_rendering
%mateconf_schema_upgrade desktop_mate_keybindings
%mateconf_schema_upgrade desktop_mate_peripherals_smartcard
%mateconf_schema_upgrade desktop_mate_peripherals_touchpad
%mateconf_schema_upgrade mate-settings-daemon

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi
%mateconf_schema_remove apps_mate_settings_daemon_housekeeping
%mateconf_schema_remove apps_mate_settings_daemon_keybindings
%mateconf_schema_remove apps_mate_settings_daemon_xrandr
%mateconf_schema_remove desktop_mate_font_rendering
%mateconf_schema_remove desktop_mate_keybindings
%mateconf_schema_remove desktop_mate_peripherals_smartcard
%mateconf_schema_remove desktop_mate_peripherals_touchpad
%mateconf_schema_remove mate-settings-daemon

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{po_package}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'


%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_housekeeping.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_keybindings.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_xrandr.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_font_rendering.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_keybindings.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_smartcard.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_touchpad.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mate-settings-daemon.schemas
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_libdir}/mate-settings-daemon-1.4.0/
%{_libexecdir}/mate-settings-daemon
%{_libexecdir}/msd-datetime-mechanism
%{_libexecdir}/msd-locate-pointer
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/16x16/actions/*.png
%{_datadir}/icons/mate/16x16/apps/*.png
%{_datadir}/icons/mate/22x22/actions/*.png
%{_datadir}/icons/mate/22x22/apps/*.png
%{_datadir}/icons/mate/24x24/actions/*.png
%{_datadir}/icons/mate/24x24/apps/*.png
%{_datadir}/icons/mate/32x32/actions/*.png
%{_datadir}/icons/mate/32x32/apps/*.png
%{_datadir}/icons/mate/scalable/actions/touchpad-disabled.svg
%{_datadir}/icons/mate/scalable/actions/touchpad-enabled.svg
%{_datadir}/icons/mate/scalable/apps/msd-xrandr.svg
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/mate-settings-daemon/
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

%files devel
%{_includedir}/mate-settings-daemon/
%{_libdir}/pkgconfig/mate-settings-daemon.pc


%changelog
* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Own mate-settings-daemon directory, update build requires and configure flags

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix mateconf scritplets, switch back to upstream source.

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Move shared libs to main package and update buildrequires to add libSM-devel add mateconf scriptlets

* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
